Confirm uploaded customer files
curl --request POST \
--url https://api.moonpay.com/platform/v1/customers/{id}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"files": [
{
"uploadId": "<string>",
"capturedAt": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.moonpay.com/platform/v1/customers/{id}/files"
payload = { "files": [
{
"uploadId": "<string>",
"capturedAt": "2023-11-07T05:31:56Z"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({files: [{uploadId: '<string>', capturedAt: '2023-11-07T05:31:56Z'}]})
};
fetch('https://api.moonpay.com/platform/v1/customers/{id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.moonpay.com/platform/v1/customers/{id}/files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'files' => [
[
'uploadId' => '<string>',
'capturedAt' => '2023-11-07T05:31:56Z'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.moonpay.com/platform/v1/customers/{id}/files"
payload := strings.NewReader("{\n \"files\": [\n {\n \"uploadId\": \"<string>\",\n \"capturedAt\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.moonpay.com/platform/v1/customers/{id}/files")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"files\": [\n {\n \"uploadId\": \"<string>\",\n \"capturedAt\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.moonpay.com/platform/v1/customers/{id}/files")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"files\": [\n {\n \"uploadId\": \"<string>\",\n \"capturedAt\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "c1d2e3f4-5678-90ab-cdef-1234567890ab",
"externalCustomerId": "customer-1234",
"kyc": {
"status": "collecting",
"requirements": {
"basicDetails": {
"status": "incomplete",
"requiredFields": [
"firstName",
"lastName",
"dateOfBirth",
"nationality"
]
},
"residentialAddress": {
"status": "incomplete",
"requiredFields": [
"street",
"locality",
"postalCode",
"administrativeArea"
]
},
"identityDocuments": {
"status": "incomplete"
},
"selfie": {
"status": "incomplete"
},
"taxIdentifiers": {
"status": "incomplete",
"requiredFields": [
"ssn"
]
},
"proofOfAddress": {
"status": "incomplete"
},
"phoneNumber": {
"status": "incomplete"
},
"questionnaires": {
"status": "incomplete",
"requiredFields": [
"customerDueDiligence",
"enhancedDueDiligence"
]
},
"proofOfIncome": {
"status": "incomplete"
}
},
"challenge": {
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
}
}{
"code": "invalid_request",
"message": "Invalid request"
}{
"code": "unauthorized",
"message": "Not authorized"
}{
"code": "forbidden",
"message": "Forbidden"
}{
"code": "upload_expired",
"message": "The upload has expired or was not found."
}{
"code": "conflict",
"message": "Conflict",
"errors": [
{
"message": "<string>",
"field": "<string>",
"details": {}
}
]
}{
"code": "service_unavailable",
"message": "Unable to verify the uploaded file at this time. Please retry the request."
}Customers
Confirm uploaded files
Confirm uploaded files and attach them to the customer’s KYC session
POST
/
platform
/
v1
/
customers
/
{id}
/
files
Confirm uploaded customer files
curl --request POST \
--url https://api.moonpay.com/platform/v1/customers/{id}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"files": [
{
"uploadId": "<string>",
"capturedAt": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.moonpay.com/platform/v1/customers/{id}/files"
payload = { "files": [
{
"uploadId": "<string>",
"capturedAt": "2023-11-07T05:31:56Z"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({files: [{uploadId: '<string>', capturedAt: '2023-11-07T05:31:56Z'}]})
};
fetch('https://api.moonpay.com/platform/v1/customers/{id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.moonpay.com/platform/v1/customers/{id}/files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'files' => [
[
'uploadId' => '<string>',
'capturedAt' => '2023-11-07T05:31:56Z'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.moonpay.com/platform/v1/customers/{id}/files"
payload := strings.NewReader("{\n \"files\": [\n {\n \"uploadId\": \"<string>\",\n \"capturedAt\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.moonpay.com/platform/v1/customers/{id}/files")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"files\": [\n {\n \"uploadId\": \"<string>\",\n \"capturedAt\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.moonpay.com/platform/v1/customers/{id}/files")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"files\": [\n {\n \"uploadId\": \"<string>\",\n \"capturedAt\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "c1d2e3f4-5678-90ab-cdef-1234567890ab",
"externalCustomerId": "customer-1234",
"kyc": {
"status": "collecting",
"requirements": {
"basicDetails": {
"status": "incomplete",
"requiredFields": [
"firstName",
"lastName",
"dateOfBirth",
"nationality"
]
},
"residentialAddress": {
"status": "incomplete",
"requiredFields": [
"street",
"locality",
"postalCode",
"administrativeArea"
]
},
"identityDocuments": {
"status": "incomplete"
},
"selfie": {
"status": "incomplete"
},
"taxIdentifiers": {
"status": "incomplete",
"requiredFields": [
"ssn"
]
},
"proofOfAddress": {
"status": "incomplete"
},
"phoneNumber": {
"status": "incomplete"
},
"questionnaires": {
"status": "incomplete",
"requiredFields": [
"customerDueDiligence",
"enhancedDueDiligence"
]
},
"proofOfIncome": {
"status": "incomplete"
}
},
"challenge": {
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
}
}{
"code": "invalid_request",
"message": "Invalid request"
}{
"code": "unauthorized",
"message": "Not authorized"
}{
"code": "forbidden",
"message": "Forbidden"
}{
"code": "upload_expired",
"message": "The upload has expired or was not found."
}{
"code": "conflict",
"message": "Conflict",
"errors": [
{
"message": "<string>",
"field": "<string>",
"details": {}
}
]
}{
"code": "service_unavailable",
"message": "Unable to verify the uploaded file at this time. Please retry the request."
}Some Platform API capabilities must be enabled on your account by MoonPay
before you can call them. If this endpoint returns an unexpected
404, see
Capability
enablement.Authorizations
AccessTokenAuthSecretApiKeyInHeaderAuth
Body
application/json